Summary:	Juniper libradius for Linux
Name:		libradius
Version:	20040827	
Release:	1.ru
License:	BSD
Group:		Development/Libraries
Source0: 	http://www.portal-to-web.de/tacacs/libradius-linux-20040827.tar.gz
Source1:	http://www.portal-to-web.de/tacacs/libmd.tar.gz
URL:		http://www.portal-to-web.de/tacacs/libradius.php
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
A Linux port of libradius from FreeBSD

%package devel
Summary: Header files, libraries and development documentation for libradius
Group: Development/Libraries
Requires: libradius = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for libradius.

%prep
%setup -q -n libradius-linux -a 1

%build
pushd libmd
make CFLAGS="-O2 -fPIC"
popd
make CFLAGS="-O2 -fPIC" LIBMD="-L./libmd -lmd"

%install
rm -rf %{buildroot}
%{__install} -m 644 -D libradius.a %{buildroot}%{_libdir}/libradius.a
%{__install} -m 644 -D libradius.so.1.0 %{buildroot}%{_libdir}/libradius.so.1.0
%{__install} -m 444 -D radlib.h %{buildroot}%{_includedir}/radlib.h
%{__install} -m 444 -D libradius.3 %{buildroot}%{_mandir}/man3/libradius.3
%{__install} -m 444 -D radius.conf.5 %{buildroot}%{_mandir}/man5/radius.conf.5
ln -s libradius.so.1.0 %{buildroot}%{_libdir}/libradius.so

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/libradius.so.1.0
%{_mandir}/man5/*

%files devel
%defattr(-,root,root)
%{_includedir}/radlib.h
%{_libdir}/libradius.a
%{_libdir}/libradius.so
%{_mandir}/man3/*

%changelog
* Mon Mar 02 2009 Brian Schubert <schubert@nbcs.rutgers.edu> - 20040827-1.ru
- Initial build
